<?php

namespace Layerdrops\Ostech\Widgets;


class Certificate extends \Elementor\Widget_Base
{
	public function get_name()
	{
		return 'ostech-certificate';
	}

	public function get_title()
	{
		return __('Certificate', 'ostech-addon');
	}

	public function get_icon()
	{
		return 'eicon-cogs';
	}

	public function get_categories()
	{
		return ['ostech-category'];
	}

	protected function register_controls()
	{
		$this->start_controls_section(
			'layout_section',
			[
				'label' => __('Layout', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'layout_type',
			[
				'label' => __('Select Layout', 'ostech-addon'),
				'type' => \Elementor\Controls_Manager::SELECT2,
				'default' => 'layout_one',
				'options' => [
					'layout_one' => __('Layout One', 'ostech-addon'),
				]
			]
		);

		$this->end_controls_section();

		include ostech_get_elementor_option('certificate-one-option.php');

		//General style
		$this->start_controls_section(
			'general_style',
			[
				'label' => esc_html__('Content Style', 'ostech-addon'),
				'tab' => \Elementor\Controls_Manager::TAB_STYLE,
			]
		);

		ostech_elementor_general_style_options($this, 'Title', '{{WRAPPER}} .certificate-left__title', ['layout_one']);
		ostech_elementor_general_style_options($this, 'Content', '{{WRAPPER}} .certificate-left__text', ['layout_one']);

		$this->end_controls_section();
	}

	protected function render()
	{
		$settings = $this->get_settings_for_display();
		include ostech_get_template('certificate-one.php');
	}
}
